Subject: Re: git pull works remotely but not locally

From: Ivan Uemlianin <[email-masked]>
Date: Thu, 27 May 2010 16:21:28 +0100

Dear Peff

Thanks for your comment.
> What happens if you run "git pull"? If you get an error, can you try to
> run "GIT_TRACE=1 git pull"? Git should then print out exactly what it is
> trying to exec that is failing.

Not very exciting:

$ GIT_TRACE=1 git pull
trace: exec: 'git-pull'
trace: run_command: 'git-pull'
fatal: cannot exec 'git-pull': Permission denied

Best wishes

Ivan

On 27/05/2010 16:15, Jeff King wrote:
> On Thu, May 27, 2010 at 04:07:05PM +0100, Ivan Uemlianin wrote:
>
>    
>>> It looks like there's something wrong with your installation of Git.
>>> Perhaps you'd like to re-install
>>>        
>> The error is like this:
>>
>>      $ /opt/libexec/git-core/git-pull
>>      /opt/libexec/git-core/git-pull: line 11: git-sh-setup: No such
>> file or directory
>>
>> I'm calling git-pull from my clone of the repos, so I don't have
>> git-sh-setup in my current directory.  That all seems fine: I imagine
>> git-pull is not intended to be called directly.
>>      
> It's not. It expects the git wrapper to have set up the PATH to have
> /opt/libexec/git-core in it, which would then find git-sh-setup.
>
> What happens if you run "git pull"? If you get an error, can you try to
> run "GIT_TRACE=1 git pull"? Git should then print out exactly what it is
> trying to exec that is failing.
>
> -Peff
>    

-- 
============================================================
Ivan A. Uemlianin
Speech Technology Research and Development

                     [email-masked]
                      www.llaisdy.com
                          llaisdy.wordpress.com
                      www.linkedin.com/in/ivanuemlianin

     "Froh, froh! Wie seine Sonnen, seine Sonnen fliegen"
                      (Schiller, Beethoven)
============================================================